using XF.Domain.Repository;

namespace Hotline.ThirdAccountDomainServices.Interfaces;
public interface IThirdAccountRepository : IRepository<ThirdAccount>
{
    Task<ThirdAccount> GetByExternalIdAsync(string externalId, CancellationToken token);
    Task<ThirdAccount> GetByOpenIdAsync(string openId, CancellationToken token);
    Task<List<ThirdAccount>> GetByPhoneNumberAsync(string memberMobile, CancellationToken token);
    Task UpdateExternalIdAsync(string id, string externalId, CancellationToken token);
}
